import java.util.Date;

public class Process extends Thread
{
	private static int pidcounter = 0;	//Prozess-ID-Counter
	protected int pid;			//Prozess-ID
	private long arriveTime;	//Ankunftszeitpunkt
	private long departTime;	//Endzeitpunkt
	private boolean suspended;	//Suspend-Flag

	public Process() {
		suspended = false;
		pid = pidcounter;
		pidcounter++;
		System.out.println("Process created. PID: " + pid);
	}

	protected void setArriveTime() {
		Date date = new Date();
		arriveTime = date.getTime();
	}

	protected void setDepartTime() {
		Date date = new Date();
		departTime = date.getTime();
	}

	protected long opTime() {
		long t = departTime - arriveTime;
		return t;
	}

	public boolean isSuspended() {
		return suspended;
	}

	public void setSuspended() {
		suspended = true;
	}

	public void unsetSuspended() {
		suspended = false;
	}
}