import java.util.Random;

public class WahlenNaiv {

  public static void main(String args[]) {
    Waehlen w = new Waehlen();
    Automat automat[]= new Automat[10];

    for (int i= 0; i < 10; i++ ){
      automat[i] = new Automat(w);
      automat[i].start();
    }
  }
}

class Automat extends Thread {

  private Waehlen w;
  Random r;
  int rand;

  public Automat(Waehlen w) {
    this.w = w;
    r = new Random();
  }

  public void run() {
    for(int i = 0; i < 20; ++i) {
      rand = r.nextInt(2);
      if(rand==0) w.waehleDemokraten();
      else w.waehleRepublikaner();
    }
  }
}

class Waehlen {
  private int dem;
  private int rep;
  private String leading;
  private int leadCount;

  public Waehlen() {
    leading = new String("unentschieden");
    leadCount = 0;
  }

  public void waehleDemokraten() {
    dem++;
    System.out.println("1 Stimme fr Demokraten");
    if(leading.equals("Demokraten fhren") || leading.equals("unentschieden")) {
      leadCount++;
      leading="Demokraten fhren";
    }
    else { //Republikaner fhren
      leadCount--;
      if(leadCount==0) leading="unentschieden";
    }
    System.out.println("Demokraten: " + dem + ", Republikaner: " + rep);
    System.out.println("Zwischenstand: " + leading);
    System.out.println("-------------------------------------");
  }
  
  public void waehleRepublikaner() {
    rep++;
    System.out.println("1 Stimme fr Republikaner");
    if(leading.equals("Republikaner fhren") || leading.equals("unentschieden")) {
      leadCount++;
      leading="Republikaner fhren";
    }
    else { //Demokraten fhren
      leadCount--;
      if(leadCount==0) leading="unentschieden";
    }
    System.out.println("Demokraten: " + dem + ", Republikaner: " + rep);
    System.out.println("Zwischenstand: " + leading);
    System.out.println("-------------------------------------");
  }
}
